View Issue Details

IDProjectCategoryPrivateLast Update
0002695Battlefield 1VehiclesNo2018-04-23 21:44
Reporterfso 
SeverityMinorReproducibilityAlways 
Status FixedResolutionReopened 
PlatformPCOSWindows 
Product Version 
Fixed in VersionUpdate 08112017 - Operation Campaigns Update 
Summary0002695: when the mach finish while flying always the airplane get crash then its count as death
Description

if you are playing with airplane and end of each match when the result score pop up you airplane gonna crash in ground and its will count as kill you cant avoid it coz you dont have control of anything when the result of match come out !!!

Actual Result
Expected Result

Relationships

has duplicate 0002926 ClosedRedSpider Death at game end after losing character controls 
has duplicate 0002982 ClosedRedSpider Players have 1 Death before round has started. 
has duplicate 0004816 Closed Dying after match ends... 

Activities

DrSquirrelBoy12

2016-10-28 17:17

Registered User
  ~0002898

I was sure they fixed this in Battlefield 1, I know it is an issue where after round end deaths would count in BF4 though in BF4 you could still control aircraft in the EoR screen before they de-spawned. I believe the longer time to revive before it counts as a death makes it not count as a death sometimes if it de-spawns you before the death is counted. This should be looked into though.

Tirant

2016-11-06 23:30

Registered User
  ~0003077

I can confirm this issue. It happens all the time while flying planes at the end of the round. To avoid it, I try and aim the plane straight and level before round ends.

This is a pretty annoying bug, and I would suggest either the death not count (easy fix), or some AI fly the planes back to base to avoid crashing. It looks pretty bad when in the end of round screen you see all the planes crash.

renesweb74

2016-11-29 15:10

Registered User
  ~0003325

This Bug is in TDM and Domination after the last patch. After the round the kill will not resetet. Count in the next round

Spitfire

2017-12-05 22:45


  ~0005752

Reopening due to issue persisting in game.

docholiday332

2018-04-23 21:44

Registered User
  ~0006553

This is still marked as fixed, however it is still an issue in the game. I have experienced it in Conquest and Operations.